Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/schedules \
--header 'Authorization: Bearer <token>'{
"pageInfo": {
"hasNextPage": true,
"nextCursor": "<string>",
"pageSize": 123,
"totalRecords": 123
},
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule": "<string>",
"disabledAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"timezone": "<string>",
"identifier": "<string>",
"dashboardName": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerName": "<string>",
"lastCompletedAt": "2023-11-07T05:31:56Z",
"lastStatus": "<string>",
"destinationType": "<string>",
"format": "<string>",
"recipientCount": 123,
"content": "<string>",
"slackRecipientType": "<string>",
"systemDisabledAt": "2023-11-07T05:31:56Z",
"systemDisabledReason": "<string>",
"alert": "<string>"
}
]
}Retrieves scheduled tasks. This endpoint supports filtering, sorting, and cursor-based pagination.
To retrieve the recipients for a schedule, use the List schedule recipients endpoint.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/schedules \
--header 'Authorization: Bearer <token>'{
"pageInfo": {
"hasNextPage": true,
"nextCursor": "<string>",
"pageSize": 123,
"totalRecords": 123
},
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule": "<string>",
"disabledAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"timezone": "<string>",
"identifier": "<string>",
"dashboardName": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerName": "<string>",
"lastCompletedAt": "2023-11-07T05:31:56Z",
"lastStatus": "<string>",
"destinationType": "<string>",
"format": "<string>",
"recipientCount": 123,
"content": "<string>",
"slackRecipientType": "<string>",
"systemDisabledAt": "2023-11-07T05:31:56Z",
"systemDisabledReason": "<string>",
"alert": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Search term for filtering schedules by name, dashboard name, or owner name (case-insensitive).
Filter schedules by delivery status.
success, error, canceled, none Filter schedules by destination type.
email, slack, webhook, sftp, s3 Filter by schedule type.
alert, schedule Filter schedules by content type.
dashboard, single tile The field to sort results by.
scheduleName, dashboardName, ownerName, lastRun, lastRunStatus The direction to sort results.
asc, desc The page number for offset-based pagination.
The number of results to include on each page.
1 <= x <= 100Filter schedules by the owner's membership ID. Use the List users endpoint to retrieve membership IDs.
API results vary by API key type:
403 Forbidden error.Filter schedules by embed entity:
ownerId, list only schedules for the specified user if they are associated with the embedEntity. The response will be empty if the specified ownerId doesn't have the entity.Filter schedules by dashboard ID. This can be retrieved by:
/dashboards is the dashboard's ID; for example: https://myorg.omniapp.co/dashboards/12db1a0aWas this page helpful?